# fcntl_args Struct Reference

`#include <sysproto.h>`

## Data Fields

long | arg
char | arg_l_ [0]
char | arg_r_ [(sizeof(register_t)<=sizeof(long)?0:sizeof(register_t)-sizeof(long))]
int | cmd
char | cmd_l_ [0]
char | cmd_r_ [(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]
int | fd
char | fd_l_ [0]
char | fd_r_ [(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]

## Detailed Description

Definition at line 85 of file sysproto.h.

## Field Documentation

long fcntl_args::arg

Definition at line 88 of file sysproto.h.

Referenced by fcntl().

char fcntl_args::arg_l_[0]

Definition at line 88 of file sysproto.h.

char fcntl_args::arg_r_[(sizeof(register_t)<=sizeof(long)?0:sizeof(register_t)-sizeof(long))]

Definition at line 88 of file sysproto.h.

int fcntl_args::cmd

Definition at line 87 of file sysproto.h.

Referenced by fcntl().

char fcntl_args::cmd_l_[0]

Definition at line 87 of file sysproto.h.

char fcntl_args::cmd_r_[(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]

Definition at line 87 of file sysproto.h.

int fcntl_args::fd

Definition at line 86 of file sysproto.h.

Referenced by fcntl().

char fcntl_args::fd_l_[0]

Definition at line 86 of file sysproto.h.

char fcntl_args::fd_r_[(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]

Definition at line 86 of file sysproto.h.

The documentation for this struct was generated from the following file:

- src/sys/include/sys/sysproto.h